# バンドルのリストを取得する

カタログを作成するためのバンドルリストを取得します。

注意すべてのプロジェクトには、応答で取得できるアイテムの数に制限があります。デフォルトおよび最大値は、1応答あたり50アイテムです。

Endpoint: GET /v2/project/{project_id}/items/bundle
Version: 1.0.0
Security: AuthForClient

## Path parameters:

  - `project_id` (integer, required)
    プロジェクトID。
    Example: 44056

## Query parameters:

  - `limit` (integer)
    ページにある要素数の制限。
    Example: 50

  - `offset` (integer)
    リストが生成される要素の番号（0からカウントされる）。

  - `locale` (string)
    応答言語。ISO639-1に準拠した2文字の小文字の言語コード。

  - `additional_fields[]` (array)
    追加フィールドのリスト。これらのフィールドは、リクエストで送信した場合、応答に含まれます。利用可能なフィールドmedia_list、order、long_descriptionです。

  - `country` (string)
    カタログの地域別価格と制限を計算するための国。ISO 3166-1 alpha-2に準拠した2文字の大文字の国コードです。国を明示的に指定しない場合は、ユーザーのIPアドレスに基づいて計算されます。

## Response 200 fields (application/json):

  - `items` (array)

  - `items.attributes` (array)
    アイテムに対応する属性とその値のリスト。カタログのフィルタリングに使用できます。

  - `items.attributes.external_id` (string)
    一意の属性ID。external_idには、小文字のラテン英数字、ダッシュ、およびアンダースコアのみを含めることができます。
    Example: "attribute_1"

  - `items.attributes.name` (string)
    属性の名前。
    Example: "Genre"

  - `items.attributes.values` (array)

  - `items.attributes.values.external_id` (string)
    属性の一意の値ID。external_idには、小文字のラテン英数字、ダッシュ、およびアンダースコアのみを含めることができます。
    Example: "attribute_value"

  - `items.attributes.values.value` (string)
    属性の値。
    Example: "Strategy"

  - `items.bundle_type` (string)
    バンドルタイプ。この場合、それは常にstandartです。
    Example: "standart"

  - `items.content` (array)
    バンドルパッケージの内容。
    Example: [{"attributes":[],"description":"Big Rocket - short description.","groups":[],"image_url":"https://popmedia.blob.core.windows.net/popyourself/male/outfit/male_armor_white_a-01.png","is_free":false,"name":"Big Rocket","price":{"amount":10.99,"amount_without_discount":10.99,"currency":"USD"},"quantity":100,"sku":"big_rocket","type":"virtual_currency"}]

  - `items.content.description` (string)
    アイテム説明。
    Example: "Big Rocket - description"

  - `items.content.image_url` (string)
    画像のURL。
    Example: "https://popmedia.blob.core.windows.net/popyourself/male/outfit/male_armor_white_a-01.png"

  - `items.content.name` (string)
    アイテム名。
    Example: "Big Rocket"

  - `items.content.price` (object,null)
    アイテム価格。

  - `items.content.price.amount` (string)
    割引アイテム価格。
    Example: "100.99"

  - `items.content.price.amount_without_discount` (string)
    アイテム価格。
    Example: "100.99"

  - `items.content.price.currency` (string)
    デフォルトの購入通貨。[ISO 4217](https://en.wikipedia.org/wiki/ISO_4217)ごとの3文字のコード。
    Example: "USD"

  - `items.content.quantity` (integer)
    パッケージ内のアイテムの数量。
    Example: 250

  - `items.content.sku` (string)
    一意のアイテムID。SKUには、小文字のラテン英数字、ダッシュ、およびアンダースコアのみを含めることができます。
    Example: "big_rocket"

  - `items.content.type` (string)
    アイテムのタイプ：virtual_good/virtual_currency/bundle。
    Example: "virtual_currency"

  - `items.content.virtual_prices` (array)
    仮想価格。

  - `items.content.virtual_prices.amount` (integer)
    仮想通貨での割引アイテム価格。
    Example: 100

  - `items.content.virtual_prices.amount_without_discount` (integer)
    アイテム価格。
    Example: 200

  - `items.content.virtual_prices.description` (string)
    仮想通貨の説明。
    Example: "Big Rocket - description"

  - `items.content.virtual_prices.image_url` (string)
    仮想通貨の画像。
    Example: "http://image.png"

  - `items.content.virtual_prices.is_default` (boolean)
    アイテムの価格がデフォルトであるかどうか。
    Example: true

  - `items.content.virtual_prices.name` (string)
    仮想通貨名。
    Example: "SHOTGUN FOR TRUE RAIDERS"

  - `items.content.virtual_prices.sku` (string)
    仮想通貨アイテムSKU。
    Example: "vc_test"

  - `items.content.virtual_prices.type` (string)
    仮想通貨タイプ。
    Example: "virtual_currency"

  - `items.description` (string,null)
    アイテム説明。
    Example: "Big Rocket - description."

  - `items.groups` (array)
    アイテムが属するグループ。
    Example: [{"external_id":"horror","name":{"en":"Horror"}}]

  - `items.groups.external_id` (string)
    Example: "horror"

  - `items.groups.name` (object)
    Example: {"en":"Horror"}

  - `items.image_url` (string,null)
    画像のURL。
    Example: "https://image.example.com"

  - `items.is_free` (string)
    常にはfalseです。
    Example: "false"

  - `items.name` (string)
    アイテム名。
    Example: "Big Rocket"

  - `items.price` (object,null)
    アイテム価格。

  - `items.price.amount` (string, required)
    割引アイテム価格。
    Example: "100.99"

  - `items.price.amount_without_discount` (string, required)
    アイテム価格。
    Example: "100.99"

  - `items.price.currency` (string, required)
    購入通貨。[ISO 4217](https://en.wikipedia.org/wiki/ISO_4217)ごとの3文字のコード。
    Example: "USD"

  - `items.sku` (string)
    一意のアイテムID。SKUには、小文字のラテン英数字、ピリオド、ダッシュ、およびアンダースコアのみを含めることができます。
    Example: "bundle_1"

  - `items.total_content_price` (object,null)
    バンドルコンテンツの価格の合計。

  - `items.total_content_price.amount` (string)
    バンドルコンテンツの割引価格の合計。
    Example: "100.99"

  - `items.total_content_price.amount_without_discount` (string)
    バンドルコンテンツの価格の合計。
    Example: "100.99"

  - `items.total_content_price.currency` (string)
    購入通貨。[ISO 4217](https://en.wikipedia.org/wiki/ISO_4217)ごとの3文字のコード。
    Example: "USD"

  - `items.type` (string)
    アイテムタイプ。
    Example: "bundle"

  - `items.virtual_prices` (array)
    仮想価格。

  - `items.virtual_prices.amount` (integer)
    仮想通貨での割引アイテム価格。
    Example: 100

  - `items.virtual_prices.amount_without_discount` (integer)
    仮想通貨でのアイテム価格。
    Example: 200

  - `items.virtual_prices.description` (string,null)
    仮想通貨の説明。
    Example: "Most popular gold"

  - `items.virtual_prices.image_url` (string,null)
    仮想通貨の画像。
    Example: "http://image.png"

  - `items.virtual_prices.is_default` (boolean)
    アイテムの価格がデフォルトであるかどうか。
    Example: true

  - `items.virtual_prices.name` (string)
    仮想通貨名。
    Example: "Gold"

  - `items.virtual_prices.sku` (string)
    仮想通貨アイテムSKU。
    Example: "gold"

  - `items.virtual_prices.type` (string)
    仮想通貨タイプ。
    Example: "virtual_currency"


